function Create(self)
	--print ("Backing up Sharpness")
	--print (self.Sharpness)
	--self.Range = self.Sharpness;
	
	self.userRange = 20;
	
	--determine range via sharpness
	--print ("Determining range")
	self.laserRange = self.Sharpness;
	--print (self.Sharpness)
	
	--determine colour via lifetime
	--print ("Determining colour")
	--print (self.Mass)
	if self.Mass <= 1.1 and self.Mass >= 0.9 then
		self.DotCol = "Red Laser Dot";
	elseif self.Mass <= 2.1 and self.Mass >= 1.9 then
		self.DotCol = "Blue Laser Dot";
	elseif self.Mass <= 3.1 and self.Mass >= 2.9 then
		self.DotCol = "Green Laser Dot";
	elseif self.Mass <= 4.1 and self.Mass >= 3.9 then
		self.DotCol = "Orange Laser Dot";
	elseif self.Mass <= 5.1 and self.Mass >= 4.9 then
		self.DotCol = "Cyan Laser Dot";
	elseif self.Mass <= 6.1 and self.Mass >= 5.9 then
		self.DotCol = "Purple Laser Dot";
	else
		self.DotCol = "Red Laser Dot";
		--print ("ABORT, Defaulting to red!")
	end
	--print (self.DotCol)

	--print ("Starting laser draw check...")
	local checkVect = Vector(0,0);
	checkVect.X = math.cos(self.RotAngle) * self.userRange * -1;
	checkVect.Y = math.sin(self.RotAngle) * self.userRange;
	--print ("Casting MORay")
	local userID = SceneMan:CastMORay(self.Pos, checkVect, self.ID, -2, -1, false, 0);
	local baseUserID = -1;
	--print ("Checking User ID for some reason")
	if userID ~= 255 then
		--print ("User ID determined")
		baseUserID = MovableMan:GetRootMOID(userID);
		local user = MovableMan:GetMOFromID(baseUserID);
		if user:IsActor() then
			--print ("Yep, being used by an actor")
			local strikePoint = Vector(0,0);
			local lastPoint = Vector(0,0);
			local dist = 0;
			local aimAngle = ToActor(user):GetAimAngle(true);
			
			checkVect.X = math.cos(aimAngle) * self.laserRange;
			checkVect.Y = math.sin(aimAngle) * self.laserRange * -1;
			--print ("Casting obstacle ray")
			dist = SceneMan:CastObstacleRay(self.Pos, checkVect, strikePoint, lastPoint, baseUserID, self.Team, -1, 0);
			if dist >= 0 then
				--print ("Drawing laser dot")
				local point = CreateMOPixel(self.DotCol);
				point.Pos = strikePoint;
				MovableMan:AddParticle(point);
				--print ("Drawn laser dot")
			end
		end
	end
		
	self.LifeTime = 1;
	--print ("Fin!")
end